﻿FROM mcr.microsoft.com/dotnet/aspnet:7.0 AS base
WORKDIR /app
EXPOSE 80


FROM mcr.microsoft.com/dotnet/sdk:7.0 AS build
WORKDIR /src
COPY ["NomadStack.csproj", "."]
RUN dotnet restore "NomadStack.csproj"
COPY . .
WORKDIR "/src/"
RUN dotnet build "NomadStack.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "NomadStack.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "NomadStack.dll"]
